import numpy as np
import matplotlib.pyplot as plt

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5+1.5
dash_x=3
dash_y=2

plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
figsize_x=4.15
figsize_y=3.1125
plt.figure(figsize=(figsize_x,figsize_y))

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

plt.xlabel(r"$t^\prime/t$")
plt.ylabel(r"$z\nu$")

pCUT5_gCUT6=np.loadtxt("critExpValues.txt",unpack=True)
pCUT5_gCUT8=np.loadtxt("critExpValues_o2o3o4o6o8_abortAtMin.txt",unpack=True)

plt.plot(pCUT5_gCUT6[0],pCUT5_gCUT6[5],label=r"$\rm{pCUT}_5$ mit $\rm{gCUT}(6)$",color=colorList[0],linestyle="None",marker=markerList[0],markersize=myMarkersize)
plt.plot(pCUT5_gCUT8[0],pCUT5_gCUT8[5],label=r"$\rm{pCUT}_5$ mit $\rm{gCUT}(8)$",color=colorList[2],linestyle="None",marker=markerList[0],markersize=myMarkersize)

plt.axvspan(-3, -2.05, facecolor='yellow',edgecolor='none')

lgd1=plt.legend(loc="upper left",ncol=1, fontsize=myFontsize, fancybox=True)
lgd1.get_frame().set_linewidth(myLinewidth)

plt.savefig("critExpPlot_da.pdf")
plt.clf()

