set samples 10000;
set isosamples 40;
set terminal epslatex  size 4.6682,3.1125 color font ",8" standalone header "\\usepackage{amsmath}"
set output "gapPlot.tex";

set nokey;
set style line 1 lt 1 lc rgb "cyan" lw 2 pt 4 ps 2;
set style line 2 lt 2 lc rgb "red" lw 2 pt 2 ps 2;
set style line 3 lt 4 lc rgb "green" lw 2 pt 1 ps 2;
set style line 4 lt 4 lc rgb "red" lw 2 pt 1 ps 1;

set style arrow 1 heads size screen 0.004,90 ls 1 lw 3 lc rgb 'blue';

set title;
set xlabel '$t^\prime/t$' offset screen -0.05,-0.025;
set ylabel '$t/U$' offset screen 0.02,-0.025;
set zlabel '$\frac{\Delta}{4t^{\prime2}/U}$' offset screen 0.01,0;

set lmargin 8;

set xtics 0.5 offset screen -0.008,-0.011;
set ytics 0.05 offset screen -0.01,-0.02;
set zrange [0:1];
set ztics 0.2 offset screen 0,0.005;

set view 75,130,1.2,1.2;
set xyplane at 0;

set xrange [-3.000001:-0.999999999];
set yrange [0:0.201];

set arrow from -2,0.125,0 to -2,0.13333,0 as 1;
set arrow from -2,0.16667,0 to -2,0.18182,0 as 1;

splot 'gapTargetValues_s-3to-1_6_o2o3o4o6_moreValues_blanks.txt' using 1:2:(($5)*($7)/(4.0*($1*$2)**2)) with points lc rgb 'red' pt 7 ps 0.3 title 'pCUT',\
'gapTargetValues_s-3to-1_6_o2o3o4o6_blanks.txt' using 1:2:(($5)*($7)/(4.0*($1*$2)**2)) with points lc rgb 'red' pt 7 ps 0.3 title 'pCUT',\
'QMC_critValue_SMtoNeel.txt' using 3:(1/($1)):(($2)/($1)*((($1)**2)/(16.0))) lc rgb 'blue' pt 4 ps 1.2 title 'QMC',\
'QMC_critValue_NeeltoVBC.txt' using 3:(1/($1)):(($2)/($1)*((($1)**2)/(16.0))) lc rgb 'blue' pt 5 ps 1.2 title 'QMC',\
'critValueJJPrime.txt' using 1:2:3 with points lc rgb 'blue' pt 7 ps 1.4 title 'JJPrime',\
'bandwidthValues.txt' using 1:2:3 with lines lc rgb 'green' lt 1 lw 6 title 'bandwidth';

set output;
