import matplotlib.pyplot as plt
import numpy as np

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myMarkersize=3.5
dash_x=3
dash_y=2

plt.rc("text",usetex=True)
params = {'text.latex.preamble' : [r"\usepackage{bm}"]}
plt.rcParams.update(params)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
figsize_x=4.15
figsize_y=3.1125
plt.figure(figsize=(figsize_x,figsize_y))

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]
colorList=plt.get_cmap("Set1")(np.linspace(0,1,21))

#x y kx ky Sz spinFlip
dataList=[]
for kx in range(6):
	for ky in range(kx,6):
		dataList.append([5,5,kx,ky,0,1])
		dataList.append([5,5,kx,ky,0,-1])

gseList=[]
for data in dataList:
	gseTemp=np.loadtxt("eigenvalues_J1J2_{0}x{1}/eigenvalues_order4_6erSeries_{0}x{1}_kx{2}ky{3}Sz{4}spinFlip{5}.txt".format(*data),unpack=True)
	gseList.append(gseTemp)

gse=gseList[0][6]

colorIndex=0
for i in range(0,len(dataList),2):
	size=(dataList[i][0]+1)*(dataList[i][1]+1)
	plt.plot(gseList[i][1],(gseList[i][6]-gse)/size,marker=markerList[1],color=colorList[colorIndex],markersize=myMarkersize,linestyle="None",label=r"$\bm{{k}}=({2},{3})$".format(size,dataList[i][4],dataList[i][2],dataList[i][3],dataList[i][5]))
	colorIndex=colorIndex+1

colorIndex=0	
for i in range(0,len(dataList),2):
	plt.plot(gseList[i][1],(gseList[i][7]-gse)/size,marker=markerList[0],color=colorList[colorIndex],markersize=myMarkersize,linestyle="None")
	colorIndex=colorIndex+1

colorIndex=0	
for i in range(0,len(dataList),2):
	plt.plot(gseList[i+1][1],(gseList[i+1][6]-gse)/size,marker=markerList[2],color=colorList[colorIndex],markersize=myMarkersize,linestyle="None")
	colorIndex=colorIndex+1

colorIndex=0	
for i in range(0,len(dataList),2):
	plt.plot(gseList[i+1][1],(gseList[i+1][7]-gse)/size,marker=markerList[3],color=colorList[colorIndex],markersize=myMarkersize,linestyle="None")
	colorIndex=colorIndex+1

plt.axvline(0.16,linestyle="dashed",color='k',dashes=(dash_x,dash_y),linewidth=myLinewidth)
plt.axvline(0.08,linestyle="dashed",color='k',dashes=(dash_x,dash_y),linewidth=myLinewidth)

plt.xlabel("$J_2/J_1$")
plt.ylabel("$(e_i-e_0)/J_1$")

lgd=plt.legend(ncol=2,loc="upper right",bbox_to_anchor=(1.65,1.02),fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
plt.savefig("gse_PI_THM_J1J2_5x5_allK_da.pdf")
plt.clf()

