import matplotlib.pyplot as plt
import numpy as np

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
dash_x=3
dash_y=2

plt.rc("text",usetex=True)
params = {'text.latex.preamble' : [r"\usepackage{bm}"]}
plt.rcParams.update(params)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
figsize_x=4.15
figsize_y=3.1125
plt.figure(figsize=(figsize_x,figsize_y))

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

#x y kx ky Sz spinFlip
dataList=[]

dataList.append([5,5,0,0,0,1])
dataList.append([5,5,0,0,0,-1])

gseList=[]
for data in dataList:
	gseTemp=np.loadtxt("eigenvalues_J1J4_{0}x{1}/eigenvalues_J1J4_{0}x{1}_kx{2}ky{3}Sz{4}spinFlip{5}.txt".format(*data),unpack=True)
	gseList.append(gseTemp)


gse=[]
gse.append(gseList[0][6])
gse.append(gseList[0][6])

for i in range(len(dataList)):
	size=(dataList[i][0]+1)*(dataList[i][1]+1)
	plt.plot(gseList[i][1],(gseList[i][6]-gse[i])/size,marker=markerList[0],color=colorList[2*i],markersize=myMarkersize,linestyle="None",label=r"$\bm{{k}}=({2},{3})$, $f={4}$, GZ".format(size,dataList[i][4],dataList[i][2],dataList[i][3],dataList[i][5]))
	plt.plot(gseList[i][1],(gseList[i][7]-gse[i])/size,marker=markerList[3],color=colorList[2*i],markersize=myMarkersize,linestyle="None",label=r"$\bm{{k}}=({2},{3})$, $f={4}$, $1.$ Anreg.".format(size,dataList[i][4],dataList[i][2],dataList[i][3],dataList[i][5]))

plt.xlabel("$J_4/J_1$")
plt.ylabel("$(e_i-e_0)/J_1$")

plt.xlim([0,0.8])
plt.ylim([0,0.14])
#plt.legend(loc="lower left")
lgd=plt.legend(ncol=1,loc="upper left",fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
plt.savefig("gse_PI_THM_J1J4_5x5_da.pdf")
plt.clf()


