import matplotlib.pyplot as plt
import numpy as np

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myFigsize_x=4.15
myFigsize_y=3.1125
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
plt.figure(figsize=(myFigsize_x,myFigsize_y))
dash_x=3
dash_y=2

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

clusterList=[[5,2]]
gseList=[[0,0,-1]]

clusterIndex=0
for [x,y] in clusterList:
	size=(x+1)*(y+1)
	kx=0
	ky=0
	gse_PI_THM=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,gseList[clusterIndex][0],gseList[clusterIndex][1],0,gseList[clusterIndex][2]),unpack=True)

	plt.xlabel("$t/U$")
	plt.ylabel(r"$\mathrm{d}^2e_0/\mathrm{d}t^2 U$")

	### plot PI-THM ###
	gse_THM=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,0,-1),unpack=True)
	hNumber=1
	h=gse_THM[0][1]-gse_THM[0][0]
	dde0_THM=(gse_THM[5][8*hNumber:]-16*gse_THM[5][7*hNumber:-hNumber]+64*gse_THM[5][6*hNumber:-2*hNumber]+16*gse_THM[5][5*hNumber:-3*hNumber]-130*gse_THM[5][4*hNumber:-4*hNumber]+16*gse_THM[5][3*hNumber:-5*hNumber]+64*gse_THM[5][2*hNumber:-6*hNumber]-16*gse_THM[5][hNumber:-7*hNumber]+gse_THM[5][0:-8*hNumber])/(144*h**2)
	plt.plot(gse_THM[0][4*hNumber:-4*hNumber],dde0_THM,color=colorList[0],linestyle="solid")
	
	plt.axvline(0.07,color='k',linestyle="dashed",dashes=(dash_x,dash_y),linewidth=myLinewidth)

	plt.xlim([0,0.2])
	
	plt.savefig("ddgse_PI_THM_{0}x{1}_da.pdf".format(x,y))
	plt.clf()
	clusterIndex=clusterIndex+1

