import matplotlib.pyplot as plt
import numpy as np

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myFigsize_x=5.65
myFigsize_y=2.5
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
dash_x=3
dash_y=2

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

clusterList=[[5,2]]
gseList=[[0,0,-1]]

clusterIndex=0
for [x,y] in clusterList:
	size=(x+1)*(y+1)

	gse_PI_THM=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,gseList[clusterIndex][0],gseList[clusterIndex][1],0,gseList[clusterIndex][2]),unpack=True)

	gse_THM=np.loadtxt("eigenvalues_THM_{0}x{1}/eigenvalues_{0}x{1}_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,gseList[clusterIndex][0],gseList[clusterIndex][1],0,gseList[clusterIndex][2]),unpack=True)
	
	fig=plt.figure(figsize=(myFigsize_x,myFigsize_y))
	ax2=fig.add_axes([0.05,0.06,0.45,0.9])
	ax1=fig.add_axes([0.5,0.06,0.45,0.9])
	
	ax1.set_xlabel("$t/U$")
	ax1.xaxis.set_label_coords(0.00, -0.07)
	ax2.set_ylabel("$(e_i-e_0)/U$")

	### plot PI-THM ###
	for kx in range(x+1):
		for ky in range(y+1):
			gseS0pos=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,0,1),unpack=True)
			gseS0neg=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,0,-1),unpack=True)
			
			if(kx==0 and ky==0):
				ax1.plot(gseS0pos[0],(gseS0pos[5]-gse_PI_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black",label="$S_z=0$")
			else:
				ax1.plot(gseS0pos[0],(gseS0pos[5]-gse_PI_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black")
			
			ax1.plot(gseS0neg[0],(gseS0neg[5]-gse_PI_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black")
	
	for kx in range(x+1):
		for ky in range(y+1):
			gseS1=np.loadtxt("eigenvalues_PI_THM_{0}x{1}/eigenvalues_{0}x{1}_PI_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,1,0),unpack=True)
			
			if(kx==0 and ky==0):
				ax1.plot(gseS1[0],(gseS1[5]-gse_PI_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="red",label="$S_z=1$")
			else:
				ax1.plot(gseS1[0],(gseS1[5]-gse_PI_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="red")
			
	### plot THM ###
	for kx in range(x+1):
		for ky in range(y+1):
			gseS0pos=np.loadtxt("eigenvalues_THM_{0}x{1}/eigenvalues_{0}x{1}_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,0,1),unpack=True)
			gseS0neg=np.loadtxt("eigenvalues_THM_{0}x{1}/eigenvalues_{0}x{1}_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,0,-1),unpack=True)
			
			if(kx==0 and ky==0):
				ax2.plot(gseS0pos[0],(gseS0pos[5]-gse_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black",label="$S^z=0$")
			else:
				ax2.plot(gseS0pos[0],(gseS0pos[5]-gse_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black")
			
			ax2.plot(gseS0neg[0],(gseS0neg[5]-gse_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="black")
	
	for kx in range(x+1):
		for ky in range(y+1):
			gseS1=np.loadtxt("eigenvalues_THM_{0}x{1}/eigenvalues_{0}x{1}_THM_Sz{4}kx{2}ky{3}spinFlip{5}.txt".format(x,y,kx,ky,1,0),unpack=True)
			
			if(kx==0 and ky==0):
				ax2.plot(gseS1[0],(gseS1[5]-gse_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="red",label="$S^z=1$")
			else:
				ax2.plot(gseS1[0],(gseS1[5]-gse_THM[5])/size,marker="None",markersize=5,linestyle="solid",fillstyle="full",color="red")

	ax2.axvline(0.1,color='k',linestyle="dashed",dashes=(dash_x,dash_y),linewidth=myLinewidth)
	ax1.axvline(0.07,color='k',linestyle="dashed",dashes=(dash_x,dash_y),linewidth=myLinewidth)

	ax1.set_xlim([0,0.2])
	ax2.set_xlim([0.2,0])
	ax1.set_ylim([-0.002,0.01])
	ax2.set_ylim([-0.002,0.01])
	ax2.set_xticks(ax2.get_xticks()[1:])
	ax1.axes.yaxis.set_ticklabels([])
	lgd=ax1.legend(loc="upper left",ncol=1, fontsize=myFontsize,fancybox=True)
	lgd.get_frame().set_linewidth(myLinewidth)
	
	fig.savefig("gsSpectra_PI_THM_{0}x{1}_da.pdf".format(x,y))
	fig.clf()
	clusterIndex=clusterIndex+1

