import numpy as np
import matplotlib.pyplot as plt

#import locale
#locale.setlocale(locale.LC_ALL, "de_DE")
#plt.rcParams['axes.formatter.use_locale'] = True

#import matplotlib
#print(matplotlib.__version__)

dash_x=3
dash_y=2

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myMarkersizeBig=4.0
myFigsize_x=4.15
myFigsize_y=3.1125
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
#plt.figure(figsize=(4.72441,3.54331))
#plt.figure(figsize=(myFigsize_x,myFigsize_y))


### GROUND-STATE ENERGY ###
markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

fig,ax1=plt.subplots(figsize=(myFigsize_x,myFigsize_y))

epsilon0_1=np.loadtxt("fig9_new/epsilon0_1.dat",unpack=True)
epsilon0_2=np.loadtxt("fig9_new/epsilon0_2.dat",unpack=True)
epsilon0_3=np.loadtxt("fig9_new/epsilon0_3.dat",unpack=True)
epsilon0_4=np.loadtxt("fig9_new/epsilon0_4.dat",unpack=True)
e1_4=np.loadtxt("fig9_new/e1_4.dat",unpack=True)
e3_2=np.loadtxt("fig9_new/e3_2.dat",unpack=True)
e1_even2=np.loadtxt("fig9_new/e1_even2.dat",unpack=True)
iPEPS=np.loadtxt("fig9_new/iPEPS.dat",unpack=True)

ax1.plot(epsilon0_1[0],epsilon0_1[1],color=colorList[0],marker=markerList[0],linestyle="none",markersize=myMarkersize,label=r"$N_\mathrm{re}=1$")
ax1.plot(epsilon0_2[0],epsilon0_2[1],color=colorList[1],marker=markerList[0],linestyle="none",markersize=myMarkersize,label=r"$N_\mathrm{re}=2$")
ax1.plot(epsilon0_3[0],epsilon0_3[1],color=colorList[2],marker=markerList[0],linestyle="none",markersize=myMarkersize,label=r"$N_\mathrm{re}=3$")
ax1.plot(epsilon0_4[0],epsilon0_4[1],color=colorList[3],marker=markerList[0],linestyle="none",markersize=myMarkersize,label=r"$N_\mathrm{re}=4$")

ax1.plot(e3_2[0],e3_2[1],color=colorList[4],marker=markerList[1],linestyle="none",markersize=myMarkersize,label=r"$\epsilon_3^{(2)}$")
ax1.plot(e1_4[0],e1_4[1],color=colorList[4],marker=markerList[2],linestyle="none",markersize=myMarkersize,label=r"$\epsilon_1^{(4)}$")
ax1.plot(e1_even2[0],e1_even2[1],color=colorList[4],marker=markerList[3],linestyle="none",markersize=myMarkersize,label=r"$\epsilon_{\mathrm{even},1}^{(2)}$")
ax1.plot(iPEPS[0],iPEPS[1],color=colorList[6],label="iPEPS")

ax1.set_ylim([-1.5,-1.0])
#ax1.text(myTextOffset/2.0,1,"(a)",fontsize=10)
ax1.set_xlabel(r"$\lambda$")
#ax1.set_ylabel(r"$e_0^{(N_\mathrm{re})}/J$")
ax1.set_ylabel(r"$e_0/J$")
#ax1.set_xticks(np.arange(2,6.1,1))
#lgd=ax1.legend(loc="lower left",ncol=3, fontsize=myFontsize,fancybox=True)
lgd=ax1.legend(loc="upper right",ncol=1,bbox_to_anchor=(1.3,1.025), fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)

# inset DeltaC
left, bottom, width, height = [0.29, 0.24, 0.3, 0.3]
ax1_inset1 = fig.add_axes([left, bottom, width, height])
ax1_inset1.plot(epsilon0_1[0],epsilon0_1[1],color=colorList[0],marker=markerList[0],linestyle="none",markersize=myMarkersizeBig,label=r"$N_\mathrm{re}=1$")
ax1_inset1.plot(epsilon0_2[0],epsilon0_2[1],color=colorList[1],marker=markerList[0],linestyle="none",markersize=myMarkersizeBig,label=r"$N_\mathrm{re}=2$")
ax1_inset1.plot(epsilon0_3[0],epsilon0_3[1],color=colorList[2],marker=markerList[0],linestyle="none",markersize=myMarkersizeBig,label=r"$N_\mathrm{re}=3$")
ax1_inset1.plot(epsilon0_4[0],epsilon0_4[1],color=colorList[3],marker=markerList[0],linestyle="none",markersize=myMarkersizeBig,label=r"$N_\mathrm{re}=4$")
ax1_inset1.plot(e3_2[0],e3_2[1],color=colorList[4],marker=markerList[1],linestyle="none",markersize=myMarkersizeBig,label=r"$\epsilon_3^{(2)}$")
ax1_inset1.plot(e1_4[0],e1_4[1],color=colorList[4],marker=markerList[2],linestyle="none",markersize=myMarkersizeBig,label=r"$\epsilon_1^{(4)}$")
ax1_inset1.plot(e1_even2[0],e1_even2[1],color=colorList[4],marker=markerList[3],linestyle="none",markersize=myMarkersizeBig,label=r"$\epsilon_{\mathrm{even},1}^{(2)}$")
ax1_inset1.plot(iPEPS[0],iPEPS[1],color=colorList[6],label="iPEPS")
ax1_inset1.set_xlim([0.96,1.0001])
ax1_inset1.set_ylim([-1.44,-1.36])
ax1_inset1.set_xticks(np.arange(0.96,1.0001,0.02))
ax1_inset1.set_yticks(np.arange(-1.44,-1.35,0.02))
ax1_inset1.set_xlabel(r"$\lambda$")
ax1_inset1.set_ylabel(r"$e_0/J$")

plt.savefig("KagomeOne_NLCE_gse.pdf")
plt.clf()

