import numpy as np
import matplotlib.pyplot as plt

#import locale
#locale.setlocale(locale.LC_ALL, "de_DE")
#plt.rcParams['axes.formatter.use_locale'] = True

#import matplotlib
#print(matplotlib.__version__)

dash_x=3
dash_y=2

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myMarkersizeBig=4.0
myFigsize_x=4.15
myFigsize_y=3.1125
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
#plt.figure(figsize=(4.72441,3.54331))
#plt.figure(figsize=(myFigsize_x,myFigsize_y))


### GROUND-STATE ENERGY ###
markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

fig,ax1=plt.subplots(figsize=(myFigsize_x,myFigsize_y))

redTimesEmb=np.loadtxt("fig8/redTimesEmb.dat",unpack=True)
embFactor=np.loadtxt("fig8/embeddingFactor.dat",unpack=True)

ax1.plot(redTimesEmb[0],redTimesEmb[1],color=colorList[0],marker="s",markersize=myMarkersizeBig)

ax1.set_ylim([0.0,3.5])
#ax1.text(myTextOffset/2.0,1,"(a)",fontsize=10)
ax1.set_xlabel(r"$N_\mathrm{dr}$")
ax1.set_ylabel(r"$-\nu^{(N_\mathrm{dr})}_{\mathrm{lin}} \cdot e_{0,\mathrm{lin,red}}^{(N_\mathrm{dr})}/J$")
ax1.set_xticks(np.arange(2,6.1,1))

# inset DeltaC
left, bottom, width, height = [0.3, 0.5, 0.3, 0.3]
ax1_inset1 = fig.add_axes([left, bottom, width, height])
ax1_inset1.semilogy(embFactor[0],embFactor[1],marker="^",color=colorList[1],markersize=myMarkersizeBig)
#ax1_inset1.set_yticks(np.arange(0,0.4001,0.1))
ax1_inset1.set_xlim([2,6])
ax1_inset1.set_xticks(np.arange(2,6.1,1))
ax1_inset1.set_xlabel(r"$N_\mathrm{dr}$")
ax1_inset1.set_ylabel(r"$\nu^{(N_\mathrm{dr})}_{\mathrm{lin}}$")

plt.savefig("KagomeOne_redChainGraphs.pdf")
plt.clf()

