import numpy as np
import matplotlib.pyplot as plt

#import locale
#locale.setlocale(locale.LC_ALL, "de_DE")
#plt.rcParams['axes.formatter.use_locale'] = True

#import matplotlib
#print(matplotlib.__version__)

dash_x=3
dash_y=2

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myMarkersizeBig=4.0
myFigsize_x=4.15
myFigsize_y=3.1125*2.2
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
#plt.figure(figsize=(4.72441,3.54331))
#plt.figure(figsize=(myFigsize_x,myFigsize_y))

### load all data ###
epsilon0_2=np.loadtxt("fig6/epsilon0_2.dat",unpack=True)
epsilon0_3=np.loadtxt("fig6/epsilon0_3.dat",unpack=True)
epsilon0_4=np.loadtxt("fig6/epsilon0_4.dat",unpack=True)
epsilon0_5=np.loadtxt("fig6/epsilon0_5.dat",unpack=True)
epsilon0_6=np.loadtxt("fig6/epsilon0_6.dat",unpack=True)
epsilon0red_lambda6=np.loadtxt("fig6/epsilon0red_lambda0.6.dat",unpack=True)
epsilon0red_lambda7=np.loadtxt("fig6/epsilon0red_lambda0.7.dat",unpack=True)
epsilon0red_lambda8=np.loadtxt("fig6/epsilon0red_lambda0.8.dat",unpack=True)
epsilon0red_lambda9=np.loadtxt("fig6/epsilon0red_lambda0.9.dat",unpack=True)
epsilon0red_lambda10=np.loadtxt("fig6/epsilon0red_lambda1.dat",unpack=True)
epsilon0red_fit8=np.loadtxt("fig6/epsilon0red_fit0.8.dat",unpack=True)
epsilon0red_3=np.loadtxt("fig6/epsilon0red_N3.dat",unpack=True)
epsilon0red_4=np.loadtxt("fig6/epsilon0red_N4.dat",unpack=True)
epsilon0red_5=np.loadtxt("fig6/epsilon0red_N5.dat",unpack=True)
epsilon0red_6=np.loadtxt("fig6/epsilon0red_N6.dat",unpack=True)

### GROUND-STATE ENERGY ###
markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

fig, (ax1, ax4) = plt.subplots(2, sharex=False, sharey=False,figsize=(myFigsize_x, myFigsize_y)) #share x- and y-axis

### e0 ###
ax1.plot(epsilon0_2[0],epsilon0_2[1],label=r"$N_\mathrm{dr}=2$",color=colorList[0])
ax1.plot(epsilon0_3[0],epsilon0_3[1],label=r"$N_\mathrm{dr}=3$",color=colorList[1])
ax1.plot(epsilon0_4[0],epsilon0_4[1],label=r"$N_\mathrm{dr}=4$",color=colorList[2])
ax1.plot(epsilon0_5[0],epsilon0_5[1],label=r"$N_\mathrm{dr}=5$",color=colorList[3])
ax1.plot(epsilon0_6[0],epsilon0_6[1],label=r"$N_\mathrm{dr}=6$",color=colorList[4])

#lgd=ax1.legend(loc="upper left",bbox_to_anchor=(0.265,1.0),ncol=1, fontsize=myFontsize,fancybox=True)
lgd=ax1.legend(loc="lower left",ncol=1, fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
ax1.set_ylim([-1.25,-1.0])
ax1.text(myTextOffset/2.0,-1,"(a)",fontsize=10)
ax1.set_xlabel("$\lambda$")
ax1.set_ylabel("$e_0^{(N_\mathrm{dr})}/J$")

# ddgse
hNumber=1
h=epsilon0_2[0][1]-epsilon0_2[0][0]

dde0_2=(epsilon0_2[1][8*hNumber:]-16*epsilon0_2[1][7*hNumber:-hNumber]+64*epsilon0_2[1][6*hNumber:-2*hNumber]+16*epsilon0_2[1][5*hNumber:-3*hNumber]-130*epsilon0_2[1][4*hNumber:-4*hNumber]+16*epsilon0_2[1][3*hNumber:-5*hNumber]+64*epsilon0_2[1][2*hNumber:-6*hNumber]-16*epsilon0_2[1][hNumber:-7*hNumber]+epsilon0_2[1][0:-8*hNumber])/(144*h**2)
dde0_3=(epsilon0_3[1][8*hNumber:]-16*epsilon0_3[1][7*hNumber:-hNumber]+64*epsilon0_3[1][6*hNumber:-2*hNumber]+16*epsilon0_3[1][5*hNumber:-3*hNumber]-130*epsilon0_3[1][4*hNumber:-4*hNumber]+16*epsilon0_3[1][3*hNumber:-5*hNumber]+64*epsilon0_3[1][2*hNumber:-6*hNumber]-16*epsilon0_3[1][hNumber:-7*hNumber]+epsilon0_3[1][0:-8*hNumber])/(144*h**2)
dde0_4=(epsilon0_4[1][8*hNumber:]-16*epsilon0_4[1][7*hNumber:-hNumber]+64*epsilon0_4[1][6*hNumber:-2*hNumber]+16*epsilon0_4[1][5*hNumber:-3*hNumber]-130*epsilon0_4[1][4*hNumber:-4*hNumber]+16*epsilon0_4[1][3*hNumber:-5*hNumber]+64*epsilon0_4[1][2*hNumber:-6*hNumber]-16*epsilon0_4[1][hNumber:-7*hNumber]+epsilon0_4[1][0:-8*hNumber])/(144*h**2)
dde0_5=(epsilon0_5[1][8*hNumber:]-16*epsilon0_5[1][7*hNumber:-hNumber]+64*epsilon0_5[1][6*hNumber:-2*hNumber]+16*epsilon0_5[1][5*hNumber:-3*hNumber]-130*epsilon0_5[1][4*hNumber:-4*hNumber]+16*epsilon0_5[1][3*hNumber:-5*hNumber]+64*epsilon0_5[1][2*hNumber:-6*hNumber]-16*epsilon0_5[1][hNumber:-7*hNumber]+epsilon0_5[1][0:-8*hNumber])/(144*h**2)
dde0_6=(epsilon0_6[1][8*hNumber:]-16*epsilon0_6[1][7*hNumber:-hNumber]+64*epsilon0_6[1][6*hNumber:-2*hNumber]+16*epsilon0_6[1][5*hNumber:-3*hNumber]-130*epsilon0_6[1][4*hNumber:-4*hNumber]+16*epsilon0_6[1][3*hNumber:-5*hNumber]+64*epsilon0_6[1][2*hNumber:-6*hNumber]-16*epsilon0_6[1][hNumber:-7*hNumber]+epsilon0_6[1][0:-8*hNumber])/(144*h**2)

ax4.plot(epsilon0_2[0][4*hNumber:-4*hNumber],dde0_2,label=r"$N_\mathrm{dr}=2$",color=colorList[0])
ax4.plot(epsilon0_3[0][4*hNumber:-4*hNumber],dde0_3,label=r"$N_\mathrm{dr}=3$",color=colorList[1])
ax4.plot(epsilon0_4[0][4*hNumber:-4*hNumber],dde0_4,label=r"$N_\mathrm{dr}=4$",color=colorList[2])
ax4.plot(epsilon0_5[0][4*hNumber:-4*hNumber],dde0_5,label=r"$N_\mathrm{dr}=5$",color=colorList[3])
ax4.plot(epsilon0_6[0][4*hNumber:-4*hNumber],dde0_6,label=r"$N_\mathrm{dr}=6$",color=colorList[4])

lgd=ax4.legend(loc="lower right",ncol=1, fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
ax4.set_xlim([0.6,1.0])
ax4.set_ylim([-0.5,-0.2])
ax4.text(myTextOffset/2.0*0.4+0.6,-0.2,"(b)",fontsize=10)
ax4.set_xlabel("$\lambda$")
ax4.set_ylabel("$(\mathrm{d}^2e_0^{(N_\mathrm{dr})}/\mathrm{d}\lambda^2)/J$")

plt.savefig("TriangleChain_NLCE_gse_ddgse.pdf")
plt.clf()


### red contributions ###
fig, (ax2, ax3) = plt.subplots(2, sharex=False, sharey=False,figsize=(myFigsize_x, myFigsize_y)) #share x- and y-axis

# e0red
ax2.plot(epsilon0red_3[0],epsilon0red_3[1],label=r"$N_\mathrm{dr}=3$",color=colorList[1])
ax2.plot(epsilon0red_4[0],epsilon0red_4[1],label=r"$N_\mathrm{dr}=4$",color=colorList[2])
ax2.plot(epsilon0red_5[0],epsilon0red_5[1],label=r"$N_\mathrm{dr}=5$",color=colorList[3])
ax2.plot(epsilon0red_6[0],epsilon0red_6[1],label=r"$N_\mathrm{dr}=6$",color=colorList[4])

lgd=ax2.legend(loc="lower left",ncol=1, fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
ax2.set_xlim([0.6,1.0])
ax2.set_ylim([-0.010,0.00])
ax2.text(myTextOffset/2.0*0.4+0.6,0.0,"(a)",fontsize=10)
ax2.set_xlabel("$\lambda$")
ax2.set_ylabel("$e_{0,\mathrm{red}}^{(N_\mathrm{dr})}/J$")

# e0red lambda
#left, bottom, width, height = [0.245, 0.595, 0.22, 0.11]
#ax1_inset1 = fig.add_axes([left, bottom, width, height])
ax3.loglog(epsilon0red_fit8[0],epsilon0red_fit8[1],color=colorList[2],label=r"Fit ($\lambda=0.8$)")
ax3.loglog(epsilon0red_lambda6[0],epsilon0red_lambda6[1],label=r"$\lambda=0.6$",color=colorList[0],marker=markerList[0],markersize=myMarkersizeBig,linestyle="none")
ax3.loglog(epsilon0red_lambda7[0],epsilon0red_lambda7[1],label=r"$\lambda=0.7$",color=colorList[1],marker=markerList[1],markersize=myMarkersizeBig,linestyle="none")
ax3.loglog(epsilon0red_lambda8[0],epsilon0red_lambda8[1],label=r"$\lambda=0.8$",color=colorList[2],marker=markerList[2],markersize=myMarkersizeBig,linestyle="none")
ax3.loglog(epsilon0red_lambda9[0],epsilon0red_lambda9[1],label=r"$\lambda=0.9$",color=colorList[3],marker=markerList[3],markersize=myMarkersizeBig,linestyle="none")
ax3.loglog(epsilon0red_lambda10[0],epsilon0red_lambda10[1],label=r"$\lambda=1.0$",color=colorList[4],marker=markerList[4],markersize=myMarkersizeBig,linestyle="none")

lgd=ax3.legend(loc="lower right",ncol=1, fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)
ax3.set_xlim([0.1,1.0])
ax3.set_ylim([0.00001,0.01])
ax3.text(0.065313,0.01,"(b)",fontsize=10)
ax3.set_xlabel(r"$1/N_\mathrm{dr}$")
ax3.set_ylabel(r"$\left|e_{0,\mathrm{red}}^{(N_\mathrm{dr})}\right|/J$")

plt.savefig("TriangleChain_NLCE_red.pdf")
plt.clf()
