import matplotlib.pyplot as plt
import numpy as np

myFontsize=8.0
myLinewidth=0.6
myMarkersize=2.5
myMarkersizeBig=4.0
myFigsize_x=4.15
myFigsize_y=3.1125
myTextOffset=-0.37
plt.rc("text",usetex=True)
plt.rc("font",family="serif")
plt.rc("font",serif="Computer Modern Roman")
plt.rc("font",size=myFontsize)
plt.rc("axes",linewidth=myLinewidth)
plt.figure(figsize=(myFigsize_x,myFigsize_y))

markerList=["o","s","d","^","v"]
colorList=["blue","green","red","cyan","magenta","orange","black"]

### lambda plot ###
### K=0 ###
e0_order2=np.loadtxt("results_kagomeOne_fullExpansion_lambda/e0_order2_K0.txt",unpack=True)
e0_order3=np.loadtxt("results_kagomeOne_fullExpansion_lambda/e0_order3_K0.txt",unpack=True)
e0_order4=np.loadtxt("results_kagomeOne_fullExpansion_lambda/e0_order4_K0.txt",unpack=True)
e0_order5=np.loadtxt("results_kagomeOne_fullExpansion_lambda/e0_order5_K0.txt",unpack=True)
e0_order6=np.loadtxt("results_kagomeOne_fullExpansion_lambda/e0_order6_K0.txt",unpack=True)

plt.plot(e0_order2[0],e0_order2[1]/3,label=r"$N_\mathrm{dr}=2$",color=colorList[0],marker="^",markersize=myMarkersizeBig)
plt.plot(e0_order3[0],e0_order3[1]/3,label=r"$N_\mathrm{dr}=3$",color=colorList[1],marker="^",markersize=myMarkersizeBig)
plt.plot(e0_order4[0],e0_order4[1]/3,label=r"$N_\mathrm{dr}=4$",color=colorList[2],marker="^",markersize=myMarkersizeBig)
plt.plot(e0_order5[0],e0_order5[1]/3,label=r"$N_\mathrm{dr}=5$",color=colorList[3],marker="^",markersize=myMarkersizeBig)
plt.plot(e0_order6[0],e0_order6[1]/3,label=r"$N_\mathrm{dr}=6$",color=colorList[4],marker="^",markersize=myMarkersizeBig)

iPEPS=np.loadtxt("results_kagomeOne_iPEPS.txt",unpack=True)
plt.plot(iPEPS[0],iPEPS[3],label="iPEPS",color="black")

e3_2=np.loadtxt("wynnFromPaper/e3_2.dat",unpack=True)
e1_4=np.loadtxt("wynnFromPaper/e1_4.dat",unpack=True)

plt.plot(e3_2[0],e3_2[1],label=r"$\epsilon_3^{(2)}$",color=colorList[5],marker="s",markersize=myMarkersizeBig,linestyle="None")
plt.plot(e1_4[0],e1_4[1],label=r"$\epsilon_1^{(4)}$",color=colorList[5],marker="o",markersize=myMarkersizeBig,linestyle="None")

plt.xlim([0,1.001])
plt.ylim([-1.7,-1.0])
plt.xlabel("$\lambda$")
plt.ylabel(r"$e_0/J$")
lgd=plt.legend(loc="lower left",ncol=1, fontsize=myFontsize,fancybox=True)
lgd.get_frame().set_linewidth(myLinewidth)

plt.savefig("NLCE_kagomeOne_fullExpansion_noEdgeFields_da.pdf")
plt.clf()
